<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionFormBlockCreateFormBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'form'        => [
            'en'     => [
                'name' => 'Form',
            ],
            'type'   => 'anomaly.field_type.relationship',
            'config' => [
                'related' => 'forms.forms',
            ],
        ],
        'description' => [
            'en'   => [
                'name' => 'Description',
            ],
            'type' => 'anomaly.field_type.textarea',
        ],
        'button_text' => [
            'en'   => [
                'name' => 'Button Text',
            ],
            'type' => 'anomaly.field_type.text',
        ],
    ];

}
