<?php namespace Terrostar\FormBlockExtension;

use Anomaly\BlocksModule\Block\BlockExtension;
use Terrostar\FormBlockExtension\Block\BlockModel;

class FormBlockExtension extends BlockExtension
{

    /**
     * This extension provides...
     *
     * This should contain the dot namespace
     * of the addon this extension is for followed
     * by the purpose.variation of the extension.
     *
     * For example anomaly.module.store::gateway.stripe
     *
     * @var null|string
     */
    protected $provides = 'anomaly.module.blocks::block.form';

    /**
     * The block view.
     *
     * @var string
     */
    protected $view = 'terrostar.extension.form_block::content';

    /**
     * The block wrapper.
     *
     * @var string
     */
    protected $wrapper = 'terrostar.extension.form_block::wrapper';

    /**
     * The block model.
     *
     * @var string
     */
    protected $model = BlockModel::class;

}
