<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionFormBlockCreateBlocksStream extends Migration
{

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'blocks',
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'description',
        'form'        => [
            'required' => true,
        ],
        'button_text' => [
            'required' => true,
            'config'   => [
                'default_value' => 'Submit',
            ],
        ],
    ];

}
